.btn:hover {
  color: var(--bs-btn-hover-color);
  background-color: var(--bs-secondary);
  border-color: var(--bs-border-color-translucent);
}

.btn-check:checked + .btn, :not(.btn-check) + .btn:active, .btn:first-child:active, .btn.active, .btn.show {
  color: var(--bs-btn-active-color);
  background-color: var(--bs-gray-600);
  border-color: var(--bs-btn-active-border-color);
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-gray-600);
  --bs-btn-border-color: var(--bs-gray-600);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: rgb(28.05, 31.45, 34.85);
  /*--bs-btn-hover-border-color: rgb(26.4, 29.6, 32.8);*/
  --bs-btn-focus-shadow-rgb: 66, 70, 73;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: rgb(26.4, 29.6, 32.8);
  --bs-btn-active-border-color: rgb(24.75, 27.75, 30.75);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #212529;
  --bs-btn-disabled-border-color: #212529;
}

.nav-link:hover, .nav-link:focus {
  color: var(--bs-link-color);
}

.link-body-emphasis:hover, .link-body-emphasis:focus {
  color: RGBA(var(--bs-emphasis-color-rgb), var(--bs-link-opacity, 0.75)) !important;
  text-decoration-color: RGBA(var(--bs-emphasis-color-rgb), var(--bs-link-underline-opacity, 0.75)) !important;
}

a:hover {
  --bs-link-color-rgb: var(--bs-link-hover-color-rgb);
  color: var(--bs-link-color);
}

